
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=Orbitron:wght@400..900&family=Press+Start+2P&display=swap');

:root {
  --primaria: #a01a58;
  --secundaria: #6d2f99;
  --fundo: #08080a;
  --superficie: #0c0c1d;
  --borda: #723c70;
  --raio: 10px;
  --sombra: 0 0 15px rgba(160, 26, 88, 0.3);
  --sombra2:0 0 15px #3e1b57;
  --font1: "Orbitron", sans-serif;
  --font2: "Inter", sans-serif;
  --font3: "JetBrains Mono", monospace;
  --font4: "Press Start 2P", cursive;
}

/* Reset */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
.hero {
background-image: 
    linear-gradient(rgba(8, 8, 10, 0.8), rgba(8, 8, 10, 0.8)), 
    url(../imagem/city.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.eu{
  display: flex;
  width: 25%;
  overflow: hidden;
box-shadow: 0 0 20px rgba(160, 26, 88, 0.7);
animation: fluir 8s ease-in-out infinite; /* ease-in-out deixa a animação mais suave e natural */
}
@keyframes fluir{
  0% {
    border-radius: 45% 55% 34% 66% / 62% 30% 70% 38%;
  }
  20% {
    border-radius: 30% 60% 70% 40% / 50% 60% 30% 60%;
  }
  40% {
    border-radius: 45% 55% 34% 66% / 62% 30% 70% 38%;
  }
  60% {
    border-radius: 37% 63% 34% 66% / 82% 53% 47% 18%;
  }
  100% {
    border-radius: 45% 55% 34% 66% / 62% 30% 70% 38%;
}}

body {
  background-color: var(--superficie);
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  line-height: 1.6;
}

.ola{
  display: flex;
  flex-direction: column;
 align-items: center;
 color: var(--primaria);
 text-shadow: 0 0 15px var(--fundo), 0 0 30px var(--borda);
}
.ola p{
font-size: 40px;
  color: var(--secundaria);
  font-family: var(--font3);
  text-shadow: 0 0 5px var(--fundo), 0 0 10px var(--fundo), 0 0 15px var(--fundo), 0 0 20px var(--secundaria);
 font-weight: 800;
}
.ola h1{
  color:var(--primaria);
  font-size: 60px;
  font-family: var(--font1);
  font-weight: 800;
}
.box{
  flex-wrap: wrap;
  display: flex;
  align-items: center;justify-content: center;
  gap: 100px;
  width: 100%;
  height: auto;
}
nav{
  position: fixed;
  background-color: var(--fundo);
display: flex;
justify-content: center;
align-items: center;
gap: 30px;
height: 50px;width: 100%;
}
nav a{
  color: var(--secundaria);
  font-size: 20px;
  font-family: var(--font4);
  text-decoration: none;
}
nav a:hover{
  color: var(--primaria);
  text-shadow: 0 0 5px var(--primaria);
}
main{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
gap: 100px;

}

section h1 {
  color: var(--primaria);
  font-family: var(--font1);
 
}
section p {
  color: var(--secundaria);
  font-family: var(--font2);
  font-size: 20px;
  max-width: 600px;
  text-align: start;
}
.sobre{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
width: 100vw;
height: 100vh;
}
.projeto{
  display: flex;
  flex-direction: column;
  align-items: center;
flex-wrap: wrap;
width: 1000vw;
height: 1000vh
}
.projeto h1{
  margin: 50px 0;
}
  .col{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
 max-width: 400px;
 margin: 30px auto;
  }
  .card { flex:1 1 250px;
  transition:
    transform 0.3s,
    opacity 0.3s; }
  .card:hover{
     transform: scale(1.06);
    
  }